org.deidentifier.arx.framework.check

## Class TransformationChecker

- java.lang.Object
- - org.deidentifier.arx.framework.check.TransformationChecker

    public class TransformationChecker
    extends java.lang.Object

This class orchestrates the process of transforming and analyzing a dataset.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `TransformationChecker.ScoreType` The type of scores.

### Constructor Summary

Constructors
Constructor and Description
`TransformationChecker(DataManager manager, Metric<?> metric, ARXConfiguration.ARXConfigurationInternal config, int historyMaxSize, double snapshotSizeDataset, double snapshotSizeSnapshot, SolutionSpace<?> solutionSpace)` Creates a new transformation checker.

### Method Summary

All Methods Instance Methods Concrete Methods
`TransformationResult` `check(Transformation<?> node)` Checks the given transformation, computes the utility if it fulfills the privacy model
`TransformationResult` `check(Transformation<?> node, boolean forceMeasureInfoLoss, TransformationChecker.ScoreType scoreType)` Checks the given transformation
`TransformationApplicator` `getApplicator()` Returns an associated transformation applicator
`ARXConfiguration.ARXConfigurationInternal` `getConfiguration()` Returns the configuration
`java.lang.String[]` `getHeader()` Returns the header of generalized data
`History` `getHistory()` Returns the checkers history, if any.
`DataMatrix` `getInputBuffer()` Returns the input buffer
`Metric<?>` `getMetric()` Returns the utility measure
`DataMatrix` `getOutputBuffer()` Returns the output buffer
`void` `reset()` Frees memory

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformationChecker

    public TransformationChecker(DataManager manager,
                                 Metric<?> metric,
                                 ARXConfiguration.ARXConfigurationInternal config,
                                 int historyMaxSize,
                                 double snapshotSizeDataset,
                                 double snapshotSizeSnapshot,
                                 SolutionSpace<?> solutionSpace)

Creates a new transformation checker.

Parameters:
  `manager` - The manager
  `metric` - The metric
  `config` - The configuration
  `historyMaxSize` - The history max size
  `snapshotSizeDataset` - A history threshold
  `snapshotSizeSnapshot` - A history threshold
  `solutionSpace` -

### Method Detail

#### check

    public TransformationResult check(Transformation<?> node)

Checks the given transformation, computes the utility if it fulfills the privacy model

Parameters:
  `node` -
Returns:

#### check

    public TransformationResult check(Transformation<?> node,
                                      boolean forceMeasureInfoLoss,
                                      TransformationChecker.ScoreType scoreType)

Checks the given transformation

Parameters:
  `node` -
  `forceMeasureInfoLoss` -
  `scoreType` -
Returns:

#### getApplicator

    public TransformationApplicator getApplicator()

Returns an associated transformation applicator

Returns:

#### getConfiguration

    public ARXConfiguration.ARXConfigurationInternal getConfiguration()

Returns the configuration

Returns:

#### getHeader

    public java.lang.String[] getHeader()

Returns the header of generalized data

Returns:

#### getHistory

    public History getHistory()

Returns the checkers history, if any.

Returns:

#### getInputBuffer

    public DataMatrix getInputBuffer()

Returns the input buffer

Returns:

#### getMetric

    public Metric<?> getMetric()

Returns the utility measure

Returns:

#### getOutputBuffer

    public DataMatrix getOutputBuffer()

Returns the output buffer

Returns:

#### reset

    public void reset()

Frees memory